"use strict";

var MapCanvas = require('./MapCanvas');

// noinspection JSUnusedLocalSymbols
var logger = require('../../logger');

function InfoWindow(options) {
  this.setMap(options.map);
}

InfoWindow.prototype.open = function () {
  throw new Error("Not implemented");
};

InfoWindow.prototype.hide = function () {
  throw new Error("Not implemented");
};

InfoWindow.prototype.setMap = function (map) {
  if (!(map instanceof MapCanvas)) {
    throw new Error("Map must be of MapCanvas class");
  }
  this._map = map;
};

InfoWindow.prototype.getMap = function () {
  return this._map;
};

InfoWindow.prototype.setMarker = function (marker) {
  throw new Error("Not implemented");
};
InfoWindow.prototype.setContent= function (content) {
  throw new Error("Not implemented");
};


module.exports = InfoWindow;
