"use strict";

var MapCanvas = require('./MapCanvas');

// noinspection JSUnusedLocalSymbols
var logger = require('../../logger');
var ObjectWithListeners = require('../../ObjectWithListeners');

function Rectangle(options) {
  ObjectWithListeners.call(this);
  this.registerListenerType("click");
  this.setMap(options.map);
}

Rectangle.prototype = Object.create(ObjectWithListeners.prototype);
Rectangle.prototype.constructor = ObjectWithListeners;

Rectangle.prototype.show = function () {
  throw new Error("Not implemented");
};

Rectangle.prototype.hide = function () {
  throw new Error("Not implemented");
};

Rectangle.prototype.getBounds = function () {
  throw new Error("Not implemented");
};

Rectangle.prototype.setBounds = function () {
  throw new Error("Not implemented");
};

Rectangle.prototype.setOptions = function (options) {
  throw new Error("Not implemented");
};

Rectangle.prototype.setMap = function (map) {
  if (!(map instanceof MapCanvas) && map !== null) {
    throw new Error("Map must be of MapCanvas class");
  }
  this._map = map;
};

Rectangle.prototype.getMap = function () {
  return this._map;
};

module.exports = Rectangle;
